%define name smeserver-qmHandle
Name: %{name}
%define version 1.3.5
%define release 4
Version: %{version}
Release: %{release}%{?dist}
BuildArch:     noarch
License:       GPL 
Group:         Networking/Info
Summary:       adds a panel for managing the Qmail queues using qmHandle
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Source: %{name}-%{version}.tar.gz
Patch1: %{name}-%{version}-01.patch
Obsoletes:     qmHandle
Obsoletes:     e-smith-qmail-view
Obsoletes:     e-smith-qmHandle
Obsoletes:     smeserver-saco-qmHandle
Provides:      smeserver-qmHandle 
Requires:      e-smith-base  
Requires:      e-smith-lib  
Requires:      perl  
Requires:      smeserver-release >= 7.5
BuildRequires:  e-smith-devtools

AutoReqProv: no

%description
A panel for managing the Qmail queues using qmHandle
(http://sourceforge.net/projects/qmhandle)

%changelogi
* Fri Aug 31 2012 JP Pialasse <tests@pialasse.com> 1.3.5.4.sme
- fixed svc path

* Thu Aug 30 2012 JP Pialasse <tests@pialasse.com> 1.3.5.3.sme
- fix buildrequires and import in buildsys

* Thu Aug 23 2012 JP Pialasse <tests@pialasse.com> 1.3.5-2.sme
- fix panel link

* Wed Aug 22 2012 JP Pialasse <tests@pialasse.com> 1.3.5-1.sme
- rebuilding of spec file and srpm
- fix pidof
- fix crash of qmail
- adapt to sme8
- fix French locale

* Sun Jul 06 2008 Peter Schhbert <psc@saco.info>
- Some Errors in locale files
- wrong manager position

* Sat Jul 05 2008 Peter Schubert <psc@saco.info>
- French locale added
- Error in german locale fixed

* Fri Jul 04 2008 Peter Schubert <psc@saco.info>
- Fix of this damn UTF-8 Update
- Bring back the Delete Button

* Sun Mar 30 2008 Peter Schubert <psc@saco.info>
- New Version of qmHandle

* Wed Aug 16 2006 Peter Schubert <psc@s-a-c-o.de>
- fix a qmail restart bug in SME 7.x

* Tue Jun 14 2005 Peter Schubert <psc@s-a-c-o.de>
- Fix some Bugs

* Fri May 20 2005 Peter Schubert <psc@s-a-c-o.de>
- Updated to qmHandle version 1.2
- New panel version for SME 6.x

* Mon Aug 16 2004 Peter Schubert <psc@s-a-c-o.de>
- Modifications for smeserver 6.x

* Thu Oct 31 2002 Peter Schubert <psc@s-a-c-o.de>
- New function to send ALARM to qmail
- this should resend the queue

* Fri Aug 30 2002 Peter Schubert <psc@s-a-c-o.de>
- small clean up
- version without patch-function

* Thu Aug 29 2002 Zac Sprackett <zac@sprackett.com>
- Add the ability to delete messages from the queue

* Sat Aug 24 2002 Peter Schubert <psc@s-a-c-o.de>
- Filter the '<>' in mail adresses
- comment out the delete functions

* Fri Aug 23 2002 Darrell May <dmay@netsourced.com>
- incorporated qmHandle rpm/docs
- updated panel

* Fri Aug 23 2002 Peter Schubert <psc@s-a-c-o.de> 1.0.0-02
- rename to e-smith-qmHandle
- stop using FormMagick (after Darrell May's helpfull hints)
- [1.0.0-2]

* Mon Aug 12 2002 Peter Schubert <psc@s-a-c-o.de> 1.0.0-01
- First release
- [1.0.0-1]




%prep
%setup
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)
%attr(4750 root admin) "/etc/e-smith/web/functions/qmh"
%attr(0755 root root) "/usr/bin/qmHandle"

%pre

%post -p /bin/sh
/etc/e-smith/events/actions/navigation-conf >/dev/null 2>&1

%preun

%postun -p /bin/sh
/etc/e-smith/events/actions/navigation-conf >/dev/null 2>&1

